<!DOCTYPE html>
<html lang="en">
<head>
    <!-- javascript -->
    <script src="js/main.js" type="module"></script>
    <script src="js/fontawesome/solid.js"></script>
    <!-- stylesheet -->
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/fontawesome/fontawesome.css">
    <link rel="stylesheet" href="css/fontawesome/solid.css">
    <!-- metadata -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Weather</title>
</head>
<body>
    <header class="header">
        <div class="header-left">Weather</div>
        <div id="label-location" class="header-right">label location</div>
    </header>
    <main class="main">
        <h2>5-Days Forecast</h2>
        <div class="forecast">
            <div class="day">
                <div class="day-top">
                    <div class="day-image">
                        <i class="icon">🌦️</i>
                        <div class="label-description">label-description</div>
                    </div>
                    <div class="day-temp">
                        <div class="label-temp-high">00°</div>
                        <div class="label-temp-low">00°</div>
                    </div>
                </div>
                <div class="day-bottom">
                    <div class="label-name">label-name</div>
                    <div class="label-date">label-date</div>
                </div>
            </div>
            <!--
            <svg>
                <line id="line-red" class="red"  x1="10%" y1="100px" x2="50%" y2="20px" ></line>
                <rect id="rect-blue" class="blue" z="60%" y="100px" width="10%" height="100px" ></rect>
                <circle id="cicrle-green" class="green" cx="50%" cy="300px" r="80px" ></circle>
                <text id="text-silver" class="text silver" x="50%" y="50px">lorep ipsum</text>
                <path id="path-purple" class="purple" id="M50,150 L300,150 L300,250 L250,100 L150,300 L100,100 r"></path>
            </svg>
            -->
            <div class="day">
                <div class="day-top">
                    <div class="day-image">
                        <i class="icon">🌦️</i>
                        <div class="label-description">label-description</div>
                    </div>
                    <div class="day-temp">
                        <div class="label-temp-high">00°</div>
                        <div class="label-temp-low">00°</div>
                    </div>
                </div>
                <div class="day-bottom">
                    <div class="label-name">label-name</div>
                    <div class="label-date">label-date</div>
                </div>
            </div>
            <div class="day">
                <div class="day-top">
                    <div class="day-image">
                        <i class="icon">🌦️</i>
                        <div class="label-description">label-description</div>
                    </div>
                    <div class="day-temp">
                        <div class="label-temp-high">00°</div>
                        <div class="label-temp-low">00°</div>
                    </div>
                </div>
                <div class="day-bottom">
                    <div class="label-name">label-name</div>
                    <div class="label-date">label-date</div>
                </div>
            </div>
            <div class="day">
                <div class="day-top">
                    <div class="day-image">
                        <i class="icon">🌦️</i>
                        <div class="label-description">label-description</div>
                    </div>
                    <div class="day-temp">
                        <div class="label-temp-high">00°</div>
                        <div class="label-temp-low">00°</div>
                    </div>
                </div>
                <div class="day-bottom">
                    <div class="label-name">label-name</div>
                    <div class="label-date">label-date</div>
                </div>
            </div>
            <div class="day">
                <div class="day-top">
                    <div class="day-image">
                        <i class="icon">🌦️</i>
                        <div class="label-description">label-description</div>
                    </div>
                    <div class="day-temp">
                        <div class="label-temp-high">00°</div>
                        <div class="label-temp-low">00°</div>
                    </div>
                </div>
                <div class="day-bottom">
                    <div class="label-name">label-name</div>
                    <div class="label-date">label-date</div>
                </div>
            </div>
            <div id="chart">
                <svg width="100%" height="500px">
                    
                    <!-- Title -->
                    <text class="chart-title align-center" x="50%" y="30px" text-anchor="middle">DAILY TEMPERATURES</text>
                    
                    <!-- Y axis -->
                    <line class="axis-line" x1="10%" y1="50px" x2="10%" y2="450px"></line>
                    <line class="axis-line" x1="9%" y1="50px" x2="11%" y2="50px"></line>
                    <line class="axis-line" x1="9%" y1="130px" x2="11%" y2="130px"></line>
                    <line class="axis-line" x1="9%" y1="210px" x2="11%" y2="210px"></line>
                    <line class="axis-line" x1="9%" y1="290px" x2="11%" y2="290px"></line>
                    <line class="axis-line" x1="9%" y1="370px" x2="11%" y2="370px"></line>
                    <line class="axis-line" x1="9%" y1="450px" x2="10%" y2="450px"></line>
            
                    <!--Y Text-->
                    <text class="axis-text align-right" x="5%" y="55px" text-anchor="end">100F</text>
                    <text class="axis-text align-right" x="5%" y="135px" text-anchor="end">80F</text>
                    <text class="axis-text align-right" x="5%" y="215px" text-anchor="end">60F</text>
                    <text class="axis-text align-right" x="5%" y="295px" text-anchor="end">40F</text>
                    <text class="axis-text align-right" x="5%" y="375px" text-anchor="end">20F</text>
                    <text class="axis-text align-right" x="5%" y="453px" text-anchor="end">0F</text>
                    
                    <!-- X axis -->
                    <line class="axis-line" x1="10%" y1="450px" x2="90%" y2="450px"></line>
                    
                    <!--X Text-->
                    <text id="text-day1" class="axis-text align-center" x="16%" y="470px">Day 1</text>
                    <text id="text-day2" class="axis-text align-center" x="32%" y="470px">Day 2</text>
                    <text id="text-day3" class="axis-text align-center" x="48%" y="470px">Day 3</text>
                    <text id="text-day4" class="axis-text align-center" x="64%" y="470px">Day 4</text>
                    <text id="text-day5" class="axis-text align-center" x="80%" y="470px">Day 5</text>
            
                    <!-- Columns -->
                    <rect id="day1-max" class="column column-max" x="13%" y="440px" width="4%" height="10px"></rect>
                    <rect id="day1-min" class="column column-min" x="19%" y="440px" width="4%" height="10px"></rect>
                    <text id="text-day1-max" class="chart-label align-center textTemp" x="15%" y="430px">0.0F</text>
                    <text id="text-day1-min" class="chart-label align-center textTemp" x="20%" y="430px">0.0F</text>
            
                    <rect id="day2-max" class="column column-max" x="29%" y="440px" width="4%" height="10px"></rect>
                    <rect id="day2-min" class="column column-min" x="35%" y="440px" width="4%" height="10px"></rect>
                    <text id="text-day2-max" class="chart-label align-center textTemp" x="30%" y="430px">0.0F</text>
                    <text id="text-day2-min" class="chart-label align-center textTemp" x="35%" y="430px">0.0F</text>
            
                    <rect id="day3-max" class="column column-max" x="45%" y="440px" width="4%" height="10px"></rect>
                    <rect id="day3-min" class="column column-min" x="51%" y="440px" width="4%" height="10px"></rect>
                    <text id="text-day3-max" class="chart-label align-center textTemp" x="45%" y="430px">0.0F</text>
                    <text id="text-day3-min" class="chart-label align-center textTemp" x="50%" y="430px">0.0F</text>
            
                    <rect id="day4-max" class="column column-max" x="61%" y="440px" width="4%" height="10px"></rect>
                    <rect id="day4-min" class="column column-min" x="67%" y="440px" width="4%" height="10px"></rect>
                    <text id="text-day4-max" class="chart-label align-center textTemp" x="60%" y="430px">0.0F</text>
                    <text id="text-day4-min" class="chart-label align-center textTemp" x="65%" y="430px">0.0F</text>
            
                    <rect id="day5-max" class="column column-max" x="77%" y="440px" width="4%" height="10px"></rect>
                    <rect id="day5-min" class="column column-min" x="83%" y="440px" width="4%" height="10px"></rect>
                    <text id="text-day5-max" class="chart-label align-center textTemp" x="75%" y="430px">0.0F</text>
                    <text id="text-day5-min" class="chart-label align-center textTemp" x="80%" y="430px">0.0F</text>
                </svg>
            </div>            
    </div>
    </main>
    <footer class="footer">
        <p>Footer</p>
    </footer>
</body>
</html>
